Loading...
Searching...
No Matches
BALL::VIEW::GenerateCrystalDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/generateCrystalDialog.h>`

Inheritance diagram for BALL::VIEW::GenerateCrystalDialog:

## Public Slots

void | slotOk ()
void | slotCancel ()

## Public Member Functions

| GenerateCrystalDialog (QWidget *parent=0, const char *name="GenerateCrystalDialog", bool modal=false, Qt::WindowFlags fl=0)
| ~GenerateCrystalDialog ()
bool | initSpaceGroupList ()
bool | generate ()
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | initializeWidget (MainControl &main_control)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)
virtual bool | isValid () const

## Protected Member Functions

void | generate_ ()
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)

## Protected Attributes

HashMap< String, QImage > | image_cache_
HashSet< String > | unsupported_images_
CrystalGenerator * | generator_
ParameterSection | sg_list_
ParameterSection | sg_entry_
System * | system_
String | filename_
GenerateCrystalThread * | thread_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Friends

class | GenerateCrystalThread

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

Dialog for generating crystallographic objects like the ASU, the unit cell or an arbitrarily spaced crystal packing

Definition at line 45 of file generateCrystalDialog.h.

## Constructor & Destructor Documentation

## GenerateCrystalDialog()

BALL::VIEW::GenerateCrystalDialog::GenerateCrystalDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "GenerateCrystalDialog",
|  | bool | modal = false,
|  | Qt::WindowFlags | fl = 0 )

## ~GenerateCrystalDialog()

BALL::VIEW::GenerateCrystalDialog::~GenerateCrystalDialog | ( |  | ) |

## Member Function Documentation

## generate()

bool BALL::VIEW::GenerateCrystalDialog::generate | ( |  | ) |

## generate_()

void BALL::VIEW::GenerateCrystalDialog::generate_ | ( |  | ) |

protected

## initSpaceGroupList()

bool BALL::VIEW::GenerateCrystalDialog::initSpaceGroupList | ( |  | ) |

Exceptions

  BALL::Exception::FileNotFound |

## slotCancel

void BALL::VIEW::GenerateCrystalDialog::slotCancel | ( |  | ) |

slot

## slotOk

void BALL::VIEW::GenerateCrystalDialog::slotOk | ( |  | ) |

slot

## Friends And Related Symbol Documentation

## GenerateCrystalThread

friend class GenerateCrystalThread

friend

Definition at line 50 of file generateCrystalDialog.h.

## Member Data Documentation

## filename_

String BALL::VIEW::GenerateCrystalDialog::filename_

protected

Definition at line 100 of file generateCrystalDialog.h.

## generator_

CrystalGenerator* BALL::VIEW::GenerateCrystalDialog::generator_

protected

Definition at line 95 of file generateCrystalDialog.h.

## image_cache_

HashMap<String, QImage> BALL::VIEW::GenerateCrystalDialog::image_cache_

protected

Definition at line 89 of file generateCrystalDialog.h.

## sg_entry_

ParameterSection BALL::VIEW::GenerateCrystalDialog::sg_entry_

protected

Definition at line 97 of file generateCrystalDialog.h.

## sg_list_

ParameterSection BALL::VIEW::GenerateCrystalDialog::sg_list_

protected

Definition at line 96 of file generateCrystalDialog.h.

## system_

System* BALL::VIEW::GenerateCrystalDialog::system_

protected

Definition at line 98 of file generateCrystalDialog.h.

## thread_

GenerateCrystalThread* BALL::VIEW::GenerateCrystalDialog::thread_

protected

Definition at line 102 of file generateCrystalDialog.h.

## unsupported_images_

HashSet<String> BALL::VIEW::GenerateCrystalDialog::unsupported_images_

protected

Definition at line 92 of file generateCrystalDialog.h.